<?php
include 'conexao.php';

if($_POST['nome'] == "") { $b1 = ""; } else { $b1 = "AND empresas.nome LIKE '%".$_POST['nome']."%'"; }
if($_POST['id_setor'] == "") { $b2 = ""; } else { $b2 = "AND empresas.id_setor='".$_POST['id_setor']."'"; }
if($_POST['estado'] == "") { $b3 = ""; } else { $b3 = "AND empresas.estado='".$_POST['estado']."'"; }
if($_POST['id_grupo'] == "") { $b4 = ""; } else { $b4 = "AND empresas.id_grupo='".$_POST['id_grupo']."'"; }
if($_POST['transparencia'] == "") { $b5 = ""; } else { $b5 = "AND empresas.transparencia='".$_POST['transparencia']."'"; }
if($_POST['id_atividade'] == "") { $b6 = ""; } else { $b6 = "AND empresas.id_atividade='".$_POST['id_atividade']."'"; }
if($_POST['politica_patrocinio'] == "") { $b7 = ""; } else { $b7 = "AND empresas.politica_patrocinio='".$_POST['politica_patrocinio']."'"; }
if($_POST['id_segmento'] == "") {
    $groups = "";
    $tables = "empresas";
    $b8 = "";
} else {
    $groups = "AND segmentos_empresa.id_empresa=empresas.id GROUP BY segmentos_empresa.id_empresa";
    $tables = "empresas, segmentos_empresa";
    $b8 = "AND segmentos_empresa.id_segmento='".$_POST['id_segmento']."'";
}
if($_POST['esportes'] == "") { $b9 = ""; } else { $b9 = "AND empresas.esportes='".$_POST['politica_patrocinio']."'"; }
if($_POST['sociocultura'] == "") { $b10 = ""; } else { $b10 = "AND empresas.sociocultura='".$_POST['sociocultura']."'"; }
if($_POST['ordenacao'] == "") { $b11 = "ORDER BY empresas.nome ASC"; } else { $b11 =  "ORDER BY empresas.".$_POST['ordenacao']." ASC"; }



$sql_consult = $sqli->query("SELECT empresas.* FROM $tables WHERE empresas.deleted_at IS NULL $b1 $b2 $b3 $b4 $b5 $b6 $b7 $b8 $b9 $b10 $groups $b11 LIMIT ".$_POST['row'].", 60");
while($row_consult = $sql_consult->fetch_assoc()) {
    ?>


    <div class="col-md-4 col-xl-12 empresas">
        <section class="panel panel-success bt-empresa" data-nome="<?php echo $row_consult['nome'] ?>" data-id="<?php echo $row_consult['id'] ?>"  style="cursor: pointer; min-height: 79px!important;">
            <header class="panel-heading" style="border-radius: 5px 5px 5px 5px;">
                <h2 class="panel-title" style="font-size: 2.1rem; font-weight: bold;"><?php echo $row_consult['nome'] ?></h2>
            </header>
        </section>
    </div>
    <?php
}
?>